utilities/ec2 broken because of missing packages

Bug #443061 reported by Gavin Panella on 2009-10-05
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Launchpad itself
High
Gavin Panella

Bug Description

Running utilities/ec2 results in:

Traceback (most recent call last):
  File "utilities/ec2", line 16, in <module>
    from devscripts.ec2test.entrypoint import main
  File "lib/devscripts/ec2test/entrypoint.py", line 17, in <module>
    from devscripts.ec2test import builtins
  File "lib/devscripts/ec2test/builtins.py", line 21, in <module>
    from devscripts.autoland import LaunchpadBranchLander, MissingReviewError
  File "lib/devscripts/autoland.py", line 7, in <module>
    from lazr.uri import URI
ImportError: No module named lazr.uri

In fact, devscripts.autoland relies on launchpadlib and lazr.uri.

Ordinarily this would not be a problem because the buildout managed
python (bin/py) could be used, which sorts out these deps. However
utilities/ec2 must use the system python (i.e. >= python2.5) because
boto is not compatible with python2.4 (someone correct me if that's
wrong).

A couple of options are apparent:

 1. Conditional imports in autoland.py.

    Make sure the "land" command is still shown in the help message
    for utilities/ec2, with a message saying that it won't work until
    launchpadlib and lazr.uri have been installed.

    Problem here is that, according to maxb, installing lazr.uri will
    cause launchpad dev to break.

 2. Create an environment (by hand, or virtualenv, or buildout,
    etc...) containing all the deps for devscripts, and always run
    from there.

Related branches

Changed in launchpad-foundations:
status: In Progress → Fix Committed
Stuart Bishop (stub) on 2009-10-07
Changed in launchpad-foundations:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers